import 'package:wowit/methods.dart';

class BaseModel {
  final Map<String, Object> data;
  int get id => _id;
  bool get visible => _isVisible;
  bool get visibleHome => _isHome;
  bool get visibleHightLight => _isHightLight;
  bool get visibleHOT => _isHOT;
  int _id;
  bool _isVisible;
  bool _isHome;
  bool _isHightLight;
  bool _isHOT;
  BaseModel(this.data) {
    this._id = Methods.getInt(data, 'ID');
    this._isVisible = Methods.getBool(data, 'visible');
    this._isHome = Methods.getBool(data, 'visibleHome');
    this._isHightLight = Methods.getBool(data, 'visibleHightlight');
    this._isHOT = Methods.getBool(data, 'visibleHOT');
  }
}
