import 'package:wowit/common.dart';

class Message {
//get message by key
  static String getMessage(String key) {
    Map mapMessage;
    switch (Common.languageId) {
      case 1:
        mapMessage = Common.mapMessageData_VN;
        break;
      case 2:
        mapMessage = Common.mapMessageData_EN;
        break;
      case 3:
        mapMessage = Common.mapMessageData_JP;
        break;
      case 4:
        mapMessage = Common.mapMessageData_CN;
        break;
      case 5:
        mapMessage = Common.mapMessageData_KR;
        break;
      default:
        return key;
    }
    if (mapMessage.containsKey(key)) return mapMessage[key];
    return key;
  }

  static void setLanguage(int languageCode) {
    Common.languageId = languageCode;
  }
}
